<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.com.ctop.toutiao.modules.material.mapper.BytedanceVideoSlogenInfoMapper">
    <update id="updateStatusToZero" >
        update ctop_bytedance_video_slogen_info a set a.status = 0
        where 1=1
        and a.video_code = #{videoCode} and a.create_by = #{userId}
        <if test="projectId != null">
            and a.project_id = #{projectId}
        </if>
    </update>
</mapper>